# \_get

Get a Job's data.

### Parameters

#### id

The ID of the Job to get.

### Example

```
FM_api('Job_get', ['id' => '222404']);
```

### Result

#### On Success

For example:

```
{'id':'222404',
 'form_id':'29',
 'form_type':'0',
 'form_num':'33',
 'user_id':'3928',
 'customer_id':'100829',
 'location':null,
 'meeting_time':'2015-10-30 15:21:00',
 'form_values':
   '{\'input\':\'\',
     \'barcode\':\'\',
     \'textarea\':\'\',
     \'select\':\'red\',
     \'multiple select\':null,
     \'photograph\':\'\',
     \'signature\':\'[]\',
     \'number1\':\'\',
     \'number2\':\'\',
     \'total1\':\'0\',
     \'number3\':\'\',
     \'total2\':\'\',
     \'date\':\'\',
     \'image-button-99\':\'\',
     \'image-button-100\':\'\',
     \'image-button-101\':\'\',
     \'checkbox3\':0,
     \'checkbox4\':0,
     \'checkbox5\':0,
     \'input2\':\'\',
     \'textarea2\':\'\',
     \'hidden\':\'\',
     \'readonly\':\'\',
     \'checkbox\':0,
     \'time\':\'\',
     \'second time\':\'\'}',
 'is_complete':'0',
 'last_edited':'2015-11-02 10:02:29',
 'on_app':'1',
 'meta':null,
 'appId':'5680745160304',
 'created_by':'3928',
 'cdate':'2015-10-30 15:21:32',
 'notes':null,
 'edited_uuid':'web',
 'job_ref':'f8',
 'user_status':'1',
 'subform_values':
   '{\'148\':[
     [\'1\',
      \'2\',
      \'3\',
      \'\',
      \'\',
      \'\',
      \'\',
      \'\',
      \'\',
      \'\',
      \'\',
      \'\',
      [\'\'],
      \'\',
      \'-1.5\',
      \'\',
      \'\',
      \'\',
      false,
      \'\',
      \'\',
      \'26\',
      \'\'],
     [\'\',
      \'\',
      \'3\',
      \'4\',
      \'2015-11-30\']
    ]}',
 'stock_used':'[]',
 'mileage':'0',
 'hours':'0',
 'price':'0',
 'priority':'3',
 'vehicle_id':null,
 'mileage_cost':'0',
 'hours_cost':'0',
 'stock_cost':'0',
 'schedule_of_rates':null,
 'due_date':'2015-10-30',
 'stock_notes':null,
 'attendees':null,
 'date_completed':null,
 'date_completed_utc':null,
 'current_user_id':'0',
 'contract_id':'0',
 'date_started':'2015-10-30 15:21:33',
 'price_net':'0.0000',
 'customer_type':'0',
 'department_id':'0',
 'files':null}
```

#### On Failure

If the job does not exist, then the result will be:

```
{'error':'no ID supplied'}
```

#### Notes

`date_completed` is returned in the client's timezone (setting is called "timezone"). `date_completed` is the date as recorded in UTC.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/job/_get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
